Subject: bug#3399: Crash in multi-TTY mode

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Thu, 28 May 2009 10:25:41 +0900

>>>>> On Thu, 28 May 2009 09:47:32 +0900, YAMAMOTO Mitsuharu <[email-masked]> said:

> The situation is classified into the three cases:

>   1. Older libX11 that doesn't care about XlibDisplayDfltRMDB at all.
>   2. Newer libX11, when the first XGetDefault call sets dpy->db to a
>      non-NULL value.
>   3. Newer libX11, when the first XGetDefault call sets dpy->db to NULL.

> Case 3 corresponds to the problematic scenario I mentioned in my
> previous mail and the other cases should work fine currently.  Undoing
> my recent change means that we don't destroy the database ourselves,
> and it leaks memory in Case 2 and 3.

Correction: undoing my recent change causes memory leaks in Case 2.

Also, I filed a bug report about XrmSetDatabase into the freedesktop
bugzilla (http://bugs.freedesktop.org/show_bug.cgi?id=21974).

				     YAMAMOTO Mitsuharu
				[email-masked]